auto_ptr_compat.hpp File Reference

auto_ptr compat More...

`#include <memory>`
Include dependency graph for auto_ptr_compat.hpp:
This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | UI
| Namespace for any Schlund+Partner C++ code.
namespace | UI::Util
| Namespace for ui-utilcpp.

## Detailed Description

auto_ptr compat

- C++14 deprecates 'auto_ptr' in favor of 'unique_ptr' [and gcc6 does ugly warnings].
- std::unique_ptr is available since C++11, so we use it then.
- While compat is still needed, use 'UI::Util::auto_ptr' in-code.
- When removing this compat, just bulk-replace 'UI::Util::auto_ptr' with 'std::unique_ptr' in-code.